## org.exist.xquery.value.test
Class DurationTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.value.test.AbstractTimeRelatedTestCase
                  org.exist.xquery.value.test.DurationTest

All Implemented Interfaces:
  junit.framework.Test

public class DurationTest
extends AbstractTimeRelatedTestCase

Author:
  Piotr Kaminski

Constructor Summary
`DurationTest()`

Method Summary
`void` `testCompareFail1()`
`void` `testCompareFail3()`
`void` `testCompareFail4()`
`void` `testCompareFail5()`
`void` `testCompareFail6()`
`void` `testCompareFail7()`
`void` `testCompareFail8()`
`void` `testCompareSucceeds()`
`void` `testConvert1()`
`void` `testConvert2()`
`void` `testConvert3()`
`void` `testGetPart1()`
`void` `testGetPart2()`
`void` `testGetType()`
`void` `testMinMaxFail()`
`void` `testNegate()`
`void` `testStringFormat1()`
`void` `testStringFormat2()`
`void` `testStringFormat3()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DurationTest

    public DurationTest()

Method Detail

### testStringFormat1

    public void testStringFormat1()
                           throws XPathException

  Throws:
    `XPathException`

### testStringFormat2

    public void testStringFormat2()
                           throws XPathException

  Throws:
    `XPathException`

### testStringFormat3

    public void testStringFormat3()
                           throws XPathException

  Throws:
    `XPathException`

### testNegate

    public void testNegate()
                    throws XPathException

  Throws:
    `XPathException`

### testConvert1

    public void testConvert1()
                      throws XPathException

  Throws:
    `XPathException`

### testConvert2

    public void testConvert2()
                      throws XPathException

  Throws:
    `XPathException`

### testConvert3

    public void testConvert3()
                      throws XPathException

  Throws:
    `XPathException`

### testGetPart1

    public void testGetPart1()
                      throws XPathException

  Throws:
    `XPathException`

### testGetPart2

    public void testGetPart2()
                      throws XPathException

  Throws:
    `XPathException`

### testGetType

    public void testGetType()
                     throws XPathException

  Throws:
    `XPathException`

### testCompareSucceeds

    public void testCompareSucceeds()
                             throws XPathException

  Throws:
    `XPathException`

### testCompareFail1

    public void testCompareFail1()
                          throws XPathException

  Throws:
    `XPathException`

### testCompareFail3

    public void testCompareFail3()
                          throws XPathException

  Throws:
    `XPathException`

### testCompareFail4

    public void testCompareFail4()
                          throws XPathException

  Throws:
    `XPathException`

### testCompareFail5

    public void testCompareFail5()
                          throws XPathException

  Throws:
    `XPathException`

### testCompareFail6

    public void testCompareFail6()
                          throws XPathException

  Throws:
    `XPathException`

### testCompareFail7

    public void testCompareFail7()
                          throws XPathException

  Throws:
    `XPathException`

### testCompareFail8

    public void testCompareFail8()
                          throws XPathException

  Throws:
    `XPathException`

### testMinMaxFail

    public void testMinMaxFail()
                        throws XPathException

  Throws:
    `XPathException`

Copyright (C) Wolfgang Meier. All rights reserved.